package com.sw.mes.yb.agv.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AgvErrorType {

	/**
	 * 对象不存在
	 */
	OBJECT_NOT_FOUND(3000, "对象不存在"),

	/**
	 * 参数不正确
	 */
	INVALID_PARAMS(3001, "参数不正确"),

	/**
	 * 记录不存在
	 */
	result_not_exist(3002, "记录不存在"),
	
	/**
	 * 未查到配置信息
	 */
	NOT_CONFIG(3003, "未查到配置信息");

	/**
	 * 错误码
	 */
	private int code;

	/**
	 * 提示信息
	 */
	private String msg;

}
